import {
  World,
  Color,
  Pico8,
  Group,
  Circle,
  Random,
  Vector2,
} from "../artworld/index.js";
let world = new World("mainCanvas");
window.world = world;

let g = new Group(world).pos(new Vector2(0, 0));
let c = new Circle(g).radius(80).stroke(Pico8.RED).strokeWeight(5);
for (let i = 0; i < 15; i++) {
  c = c.copy().move(new Vector2(45, 45));
}
g.copy().move(new Vector2(200, 0)).stroke(Pico8.GREEN);
g.copy().move(new Vector2(-200, 0)).stroke(Pico8.BLUE);
world.draw();
